local addonName = "IGotVD"
local versionString = "v0.1.9"
IGotVDVariables = {}

local ability = "Vicious Death"

 -- Main entrypoint
local function AddonLoaded(eventCode, name)
  -- Prevent loading twice
  if name ~= addonName then return end
  IGotVD_Variables = ZO_SavedVars:NewAccountWide("IGotVDVariables", 1, "Variables", defaults)
  
  EVENT_MANAGER:RegisterForEvent('IGotVD', EVENT_COMBAT_EVENT, IGotVD_CombatEvent)
end

EVENT_MANAGER:RegisterForEvent("IGotVD", EVENT_ADD_ON_LOADED, AddonLoaded)

-- Most arguments award goes to....
function IGotVD_CombatEvent(eventCode, result, isError, abilityName, abilityGraphic, abilityActionSlotType,
    sourceName, sourceType, targetName, targetType, hitValue, powerType, damageType, log, sourceUnitId, 
    targetUnitId, abilityId)
  
    -- Because we can`t just not call the event when there is an error.
    if ( isError ) then return end
    
    local damageOut = false
    if ( sourceType == COMBAT_UNIT_TYPE_PLAYER or sourceType == COMBAT_UNIT_TYPE_PLAYER_PET ) then damageOut = true end
    
    if (result == ACTION_RESULT_DAMAGE  and damageOut and abilityName == ability) then
      CHAT_SYSTEM:AddMessage("|cFFFF00" .. abilityName .. " damaged " .. targetName .. " for " .. hitValue .."|r")
      PlaySound(SOUNDS.CHAMPION_RESPEC_TOGGLED)
    elseif ((result == ACTION_RESULT_KILLING_BLOW or result == ACTION_RESULD_DIED or result == ACTION_RESULT_DIED_XP) and sourceType == COMBAT_UNIT_TYPE_PLAYER and abilityName == ability) then
      CHAT_SYSTEM:AddMessage("|cFF0000" .. abilityName .. " killed "  .. targetName .."|r" .. abilityName)
      PlaySound(SOUNDS.CHAMPION_POINTS_COMMITTED)
    end
end